// vert //

layout(location = 1) in ivec2 qgl_Vertex;

flat out vec4 color;

uniform sampler2D tex;

void main(void) {
	color = texelFetch(tex, qgl_Vertex, 0);
	gl_Position = vec4(0,0,0,1);
}


// frag //

out vec4 qgl_FragData[gl_MaxDrawBuffers];

flat in vec4 color;

uniform float pcnt;

void main(void) {
	qgl_FragData[0] = color;// / pcnt;
}
